<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>Revenge Of The Cosmic Ghost Rider ( 2019 -2020)</Series>
  <Number>5</Number>
  <Web>https://www.comixology.com/Revenge-Of-The-Cosmic-Ghost-Rider-2019-2020-5-of-5/digital-comic/836844</Web>
  <Summary>Cosmic Ghost Rider launches a one-man war as Cammi’s soul is dragged to hell! But as Cosmic Ghost Rider battles through the underworld to save her, he’ll discover that there’s something more dangerous than damnation lurking in the inferno…Don’t miss out as the explosive creative team of Dennis “Hopeless” Hallum and Scott Hepburn raises hell in this epic series finale!</Summary>
  <Notes>Scraped metadata from Comixology [CMXDB836844]</Notes>
  <Publisher>Marvel</Publisher>
  <Genre>Superhero</Genre>
  <PageCount>22</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
